digiKam Developer Documentation: Digikam::DPluginConfViewEditor Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DPluginConfViewEditor Class Reference
Inheritance diagram for Digikam::DPluginConfViewEditor:

## Public Member Functions
| DPluginConfViewEditor (QWidget *const parent=nullptr)
void | loadPlugins () override
Public Member Functions inherited from Digikam::DPluginConfView
| DPluginConfView (QWidget *const parent=nullptr)
| Default constructor.
int | activated () const
| Return the number of plugins active in the list.
void | apply ()
| Apply all changes about plugins selected to be hosted in host application.
void | clearAll ()
| Clear all selected plugins in the list.
int | count () const
| Return the total number of plugins in the list.
QString | filter () const
| Return the current string used to filter the plugins list.
int | itemsVisible () const
| Return the number of visible plugins in the list.
int | itemsWithVisiblyProperty () const
| Return the number of plugins in the list with visibly properties available.
DPlugin * | plugin (QTreeWidgetItem *const item) const
void | selectAll () override
| Select all plugins in the list.
void | setFilter (const QString &filter, Qt::CaseSensitivity cs)
| Set the string used to filter the plugins list.

## Additional Inherited Members
Public Types inherited from Digikam::DPluginConfView
enum | Columns { Name = 0 , Categories = 1 , Tools = 2 , Description = 3 , NumberOfColumns }
Signals inherited from Digikam::DPluginConfView
void | signalSearchResult (int)
| Signal emitted when filtering is done through slotSetFilter().
Protected Member Functions inherited from Digikam::DPluginConfView
QTreeWidgetItem * | appendPlugin (DPlugin *const)

## Member Function Documentation

## ◆ loadPlugins()

void Digikam::DPluginConfViewEditor::loadPlugins | ( |  | ) |
| overridevirtual

Implements Digikam::DPluginConfView.